curs_clear(3X)

NAME
curs_clear: erase, werase, clear, wclear, clrtobot, wclrtobot, clrtoeol, wclrtoeol - clear all or part of a ncurses window

SYNOPSIS
# include <ncurses.h> int erase(void);
int werase(WINDOW *win);
int clear(void);
int wclear(WINDOW *win);
int clrtobot(void);
int wclrtobot(WINDOW *win);
int clrtoeol(void);
int wclrtoeol(WINDOW *win);

DESCRIPTION
The erase and werase routines copy blanks to every position in the window, clearing the screen. The clear and wclear routines are like erase and werase, but they also call clearok, so that the screen is cleared completely on the next call to wrefresh for that window and repainted from scratch. The clrtobot and wclrtobot routines erase from the cursor to the end of screen. That is, they erase all lines below the cursor in the window. Also, the current line to the right of the cursor, inclusive, is erased. The clrtoeol and wclrtoeol routines erase the current line to the right of the cursor, inclusive.

RETURN VALUE
All routines return the integer OK, or a non-negative integer if immedok is set.

NOTES
Note that erase, werase, clear, wclear, clrtobot, and clrtoeol may be macros.

SEE ALSO
ncurses(3X), curs_outopts(3X), curs_refresh(3X)